.tf-product-info-wrap .variant-color .color-btn:not(.select-item) {
  width: 80px;
  height: 80px;
  overflow: hidden;
}
.tf-product-info-wrap .variant-size .size-btn:not(.select-item) {
  width: auto;
  height: 50px;
  border-radius: 25px;
  border: 1px solid var(--line);
  font-size: 20px;
  line-height: 30px;
  color: var(--dark);
  font-weight: 500;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  padding: 11px;
}
.variant-picker-slider img {
  max-width: 80px;
  border-radius: 6px;
  cursor: pointer;
}
.variant-picker-slider .swiper-slide {
  width: auto !important; /* let Swiper calculate */
  flex-shrink: 0; /* prevent shrinking */
  text-align: center;
}

.variant-picker-slider img {
  max-width: 60px; /* control image size */
  height: auto;
}

.slider-default .content-slider.style-2 {
  background-color: transparent !important;
}
.box-title-slider h2,
.box-title-slider p {
  color: #fff !important;
}
.content-slider .tf-btn.btn-green-2 {
  border: 1px solid #fff !important;
  background-color: transparent !important;
}

.display-xl-2 {
  font-size: 35px;
  line-height: 40px;
}
.slider-bicycle .box-content {
  bottom: 170px;
}

.flat-spacing-3 {
  padding-top: 150px;
  padding-bottom: 120px;
}
.card-product-wrapper {
  border: 1px solid #ebebeb;
}

.table thead th {
  color: #fff;
  font-weight: 600;
  background-color: #1b295d !important;
}
.tf-icon-box.style-border .box-icon {
  padding: 10px;
}

.btn-out-line-light {
  background-color: transparent !important;
  border-color: #fff;
}
.slider-style-2 .box-content-left {
  background-color: #fff;
}
.slider-style-2 .box-content-left .box-title-slider h2 {
  color: #1b295d !important;
}

.slider-style-2 .box-content-left .box-title-slider p {
  color: #000 !important;
}
.slider-style-2 .box-content-left .box-btn-slider .btn-out-line-white {
  border-color: #1b295d;
  color: #1b295d;
}
.slider-style-2 .box-content-left .box-btn-slider .btn-out-line-white:hover {
  color: #fff !important;
  border-color: #fff;
}
.bg-none {
  padding-top: 100px;
  background-image: none !important;
}
.mobileMenu .icon-close-popup {
  left: auto !important ;
  right: 15px !important;
}

.box-nav-menu .sub-menu {
  min-width: 400px;
  padding: 20px 32px;
}

.mobileMenu ul li a {
  font-size: 14px;
  line-height: 25px;
  font-weight: 400;
}
.mobileMenu .sub-menu {
  display: none;
  padding-left: 15px;
}
.mobileMenu .menu-item.open .sub-menu {
  display: block;
}

.home-page .card-product .card-product-wrapper {
  width: 100%;
  height: 300px;
}

.card-product .card-product-wrapper {
  width: 100%;
  height: 450px;
}
.modal-quick-view .modal-dialog {
  max-width: 600px;
}
.card-product.style-border .card-product-info {
  padding: 20px 20px 40px;
}
.card-product.style-border .card-product-wrapper {
  padding-top: 0px;
  padding-bottom: 0px;
}

.tf-product-media-thumbs .swiper-slide .item {
  height: 65%;
}

.modal-quick-view .tf-product-media-wrap .item img {
  object-position: center;
}

.banner-cls-bicycle .banner-content {
  background-size: cover;
  background-position: center;
}

.desctop-d-none {
  display: none;
}

.welcome .tf-icon-box.style-border {
  width: 100%;
  height: 350px;
  justify-content: center;
}

.item1 {
  height: 600px;
}
.item2,
.item3 {
  height: 280px;
}

.header-default .mobile-menu .icon {
  font-size: 24px;
  color: #20285c;
}
.box-nav-menu .mega-product .wrapper-sub-menu {
  width: 100%;
}
.canvas-filter .widget-facet .collapse-body {
  padding-top: 0;
  padding-bottom: 20px;
}

.card-product.style-2 .list-product-btn li:last-child .box-icon {
  border-radius: 30px 30px 30px 30px;
}

.card-product .card-product-wrapper:hover .product-img .img-product {
  opacity: 1;
}

.card-product .card-product-wrapper img {
  display: block;
  height: 100%;
  width: 100%;
  object-fit: contain;
  object-position: center;
  transition-duration: 700ms;
}



@media only screen and (max-width: 2600px) {
  .slider-bicycle .box-content {
    bottom: 450px;
  }
}
@media only screen and (max-width: 2000px) {
  .slider-bicycle .box-content {
    bottom: 200px;
    left: 50px;
  }
}
@media only screen and (max-width: 1600px) {
  .slider-bicycle .box-content {
    bottom: 150px;
    left: 50px;
  }
}
@media only screen and (max-width: 1300px) {
  .slider-bicycle .box-content {
    bottom: 200px;
    left: 50px;
  }
  .banner-cls-bicycle .banner-content {
    height: 500px;
  }
  .current-scrollbar {
    max-height: 250px;
  }
  .tf-product-media-thumbs,
  .flat-wrap-media-product .tf-product-media-main .item {
    max-height: 550px;
  }
}
@media only screen and (max-width: 1200px) {
  .list-categories .cate-item {
    border: 1px solid #ebebeb;
    border-radius: 30px;
    padding: 10px 20px;
  }
}
@media only screen and (max-width: 900px) {
  .slider-bicycle .box-content {
    bottom: 60px;
    left: 50px;
  }

  .home-page .card-product .card-product-wrapper {
    width: 100%;
    height: auto;
  }
}
@media only screen and (max-width: 600px) {
  .xl-pb-70 {
    padding-bottom: 0px;
  }

  .tf-product-media-thumbs .swiper-slide .item {
    position: relative;
    height: 100px;
  }

  .tf-product-media-main .swiper-slide {
    height: 500px !important;
  }
  .text-md {
    font-size: 12px;
    line-height: 14px;
  }
  .card-product.style-border .card-product-info {
    padding: 10px;
  }

  .flat-title {
    text-align: left;
  }
  .tf-icon-box.style-border {
    width: 100%;
    height: auto;
  }

  .mobile-d-none {
    display: none;
  }
  .desctop-d-none {
    display: block;
  }
  .slider-default .content-slider.style-2 {
    width: 80%;
  }
  .box-title-slider h2 {
    font-size: 12px;
    line-height: 16px;
  }

  .card-product .card-product-wrapper {
    width: 100%;
    height: 200px;
  }

  .slider-bicycle .box-content {
    bottom: 30px;
    left: 20px;
  }

  .slider-bicycle .box-content .tf-btn {
    padding: 5px 10px;
    font-size: 12px;
    line-height: 15px;
  }
  .slider-bicycle .box-content .tf-btn.btn-space1 .icon {
    font-size: 12px;
  }

  .slider-default .content-slider {
    gap: 10px;
  }

  .slider-default .slider-wrap {
    height: auto;
  }
  .banner-cls-bicycle .banner-content {
    height: 275px;
  }

  .flat-spacing-3 {
    padding-top: 50px;
    padding-bottom: 50px;
  }
}
